Name:          dump_syms
Version:       2.3.4
Release:       1mamba
Summary:       Rewrite of breakpad dump_syms tools in Rust
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/mozilla/dump_syms
Source:        https://github.com/mozilla/dump_syms.git/v%{version}/dump_syms-%{version}.tar.bz2
License:       Apache License 2.0, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: rustc

%description
Rewrite of breakpad dump_syms tools in Rust.

%debug_package

%prep
%setup -q

%build
env CARGO_INCREMENTAL=0 cargo build --release --locked

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -D -m0755 target/release/dump_syms %{buildroot}%{_bindir}/dump_syms

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/dump_syms
%doc LICENSE-APACHE LICENSE-MIT

%changelog
* Fri Sep 06 2024 Automatic Build System <autodist@openmamba.org> 2.3.4-1mamba
- automatic version update by autodist

* Wed Jun 05 2024 Automatic Build System <autodist@openmamba.org> 2.3.3-1mamba
- automatic version update by autodist

* Sun Mar 24 2024 Automatic Build System <autodist@openmamba.org> 2.3.1-1mamba
- automatic version update by autodist

* Sun Mar 10 2024 Automatic Build System <autodist@openmamba.org> 2.3.0-1mamba
- automatic version update by autodist

* Fri Sep 15 2023 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Wed Mar 15 2023 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Mon Feb 06 2023 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Mon Dec 05 2022 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Mon Nov 21 2022 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Sun Aug 21 2022 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Thu May 26 2022 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Tue Aug 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.7-1mamba
- package created using the webbuild interface
